- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

# Win32-Extensions.h File Reference

Go to the source code of this file.

## Data Structures
struct | pcap_send_queue
| A queue of raw packets that will be sent to the network with pcap_sendqueue_transmit(). More...
## Defines
#define | AIRPCAP_HANDLE__EAE405F5_0171_9592_B3C2_C19EC426AD34__DEFINED_
| This typedef is a support for the pcap_get_airpcap_handle() function.
#define | BPF_MEM_EX_IMM 0xc0
#define | BPF_MEM_EX_IND 0xe0
#define | BPF_MEM_EX 0xc0
#define | BPF_TME 0x08
#define | BPF_LOOKUP 0x90
#define | BPF_EXECUTE 0xa0
#define | BPF_INIT 0xb0
#define | BPF_VALIDATE 0xc0
#define | BPF_SET_ACTIVE 0xd0
#define | BPF_RESET 0xe0
#define | BPF_SET_MEMORY 0x80
#define | BPF_GET_REGISTER_VALUE 0x70
#define | BPF_SET_REGISTER_VALUE 0x60
#define | BPF_SET_WORKING 0x50
#define | BPF_SET_ACTIVE_READ 0x40
#define | BPF_SET_AUTODELETION 0x30
#define | BPF_SEPARATION 0xff
## Typedefs
typedef pcap_send_queue | pcap_send_queue
typedef _AirpcapHandle * | PAirpcapHandle
## Functions
pcap_send_queue * | pcap_sendqueue_alloc (u_int memsize)
void | pcap_sendqueue_destroy (pcap_send_queue *queue)
int | pcap_sendqueue_queue (pcap_send_queue *queue, const struct pcap_pkthdr *pkt_header, const u_char *pkt_data)
u_int | pcap_sendqueue_transmit (pcap_t *p, pcap_send_queue *queue, int sync)
HANDLE | pcap_getevent (pcap_t *p)
pcap_stat * | pcap_stats_ex (pcap_t *p, int *pcap_stat_size)
int | pcap_setuserbuffer (pcap_t *p, int size)
int | pcap_live_dump (pcap_t *p, char *filename, int maxsize, int maxpacks)
int | pcap_live_dump_ended (pcap_t *p, int sync)
int | pcap_offline_filter (struct bpf_program *prog, const struct pcap_pkthdr *header, const u_char *pkt_data)
int | pcap_start_oem (char *err_str, int flags)
PAirpcapHandle | pcap_get_airpcap_handle (pcap_t *p)

## Define Documentation

#define AIRPCAP_HANDLE__EAE405F5_0171_9592_B3C2_C19EC426AD34__DEFINED_

This typedef is a support for the pcap_get_airpcap_handle() function.

Definition at line 59 of file Win32-Extensions.h.

#define BPF_EXECUTE 0xa0

Definition at line 71 of file Win32-Extensions.h.

#define BPF_GET_REGISTER_VALUE 0x70

Definition at line 77 of file Win32-Extensions.h.

#define BPF_INIT 0xb0

Definition at line 72 of file Win32-Extensions.h.

#define BPF_LOOKUP 0x90

Definition at line 70 of file Win32-Extensions.h.

#define BPF_MEM_EX 0xc0

Definition at line 67 of file Win32-Extensions.h.

#define BPF_MEM_EX_IMM 0xc0

Definition at line 63 of file Win32-Extensions.h.

#define BPF_MEM_EX_IND 0xe0

Definition at line 64 of file Win32-Extensions.h.

#define BPF_RESET 0xe0

Definition at line 75 of file Win32-Extensions.h.

#define BPF_SEPARATION 0xff

Definition at line 82 of file Win32-Extensions.h.

#define BPF_SET_ACTIVE 0xd0

Definition at line 74 of file Win32-Extensions.h.

#define BPF_SET_ACTIVE_READ 0x40

Definition at line 80 of file Win32-Extensions.h.

#define BPF_SET_AUTODELETION 0x30

Definition at line 81 of file Win32-Extensions.h.

#define BPF_SET_MEMORY 0x80

Definition at line 76 of file Win32-Extensions.h.

#define BPF_SET_REGISTER_VALUE 0x60

Definition at line 78 of file Win32-Extensions.h.

#define BPF_SET_WORKING 0x50

Definition at line 79 of file Win32-Extensions.h.

#define BPF_TME 0x08

Definition at line 68 of file Win32-Extensions.h.

#define BPF_VALIDATE 0xc0

Definition at line 73 of file Win32-Extensions.h.

## Typedef Documentation

typedef struct _AirpcapHandle* PAirpcapHandle

Definition at line 60 of file Win32-Extensions.h.

typedef struct pcap_send_queue pcap_send_queue

Definition at line 53 of file Win32-Extensions.h.

## Function Documentation

PAirpcapHandle pcap_get_airpcap_handle | ( | pcap_t * | p | ) |

HANDLE pcap_getevent | ( | pcap_t * | p | ) |

int pcap_live_dump | ( | pcap_t * | p,
|  | char * | filename,
|  | int | maxsize,
|  | int | maxpacks |
| ) |  |  |

int pcap_live_dump_ended | ( | pcap_t * | p,
|  | int | sync |
| ) |  |  |

int pcap_offline_filter | ( | struct bpf_program * | prog,
|  | const struct pcap_pkthdr * | header,
|  | const u_char * | pkt_data |
| ) |  |  |

pcap_send_queue* pcap_sendqueue_alloc | ( | u_int | memsize | ) |

void pcap_sendqueue_destroy | ( | pcap_send_queue * | queue | ) |

int pcap_sendqueue_queue | ( | pcap_send_queue * | queue,
|  | const struct pcap_pkthdr * | pkt_header,
|  | const u_char * | pkt_data |
| ) |  |  |

u_int pcap_sendqueue_transmit | ( | pcap_t * | p,
|  | pcap_send_queue * | queue,
|  | int | sync |
| ) |  |  |

int pcap_setuserbuffer | ( | pcap_t * | p,
|  | int | size |
| ) |  |  |

int pcap_start_oem | ( | char * | err_str,
|  | int | flags |
| ) |  |  |

struct pcap_stat* pcap_stats_ex | ( | pcap_t * | p,
|  | int * | pcap_stat_size |
| ) |  |  |

documentation. Copyright (c) 2002-2005 Politecnico di Torino. Copyright (c) 2005-2007 CACE Technologies. All rights reserved.